import { renderToString } from 'react-dom/server';
export function getDataFromTree(client, tree, renderFunction) {
  if (renderFunction === void 0) {
    renderFunction = renderToString;
  }

  renderFunction(tree);
  return client.waitForFetchs().then(function () {
    return client.cache.getState();
  });
}