"use strict";

exports.__esModule = true;
exports.useFetchClient = useFetchClient;

var _react = require("react");

var _context = require("./context");

function useFetchClient() {
  var client = (0, _react.useContext)(_context.FetchContext);

  if (!client) {
    throw new Error('Unable to find fetch client on context. Wrap the app with <FetchProvider/>');
  }

  return client;
}