import { FetchHookConfig, FetchHookResult } from './interfaces/hooks';
import { FetchDispatcherResult, DefaultFetchDispatcherResult } from './client';
interface UseBaseFetchResultWithoutExtraValues<TValue, TMeta> extends FetchHookResult<TValue, TMeta> {
    refetch: () => Promise<TValue>;
}
declare type UseBaseFetchResult<TValue, TMeta> = TValue & UseBaseFetchResultWithoutExtraValues<TValue, TMeta>;
export declare function useBaseFetch<TDispatcherResult extends FetchDispatcherResult<any, any>, TMeta = any>(config: FetchHookConfig<TMeta> | null): UseBaseFetchResult<TDispatcherResult, TMeta>;
interface UseFetch {
    <TData, TMeta = any>(config: FetchHookConfig<TMeta> | null): UseBaseFetchResult<DefaultFetchDispatcherResult<TData>, TMeta>;
}
export declare const useFetch: UseFetch;
export {};
