function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var IS_SERVER = typeof window === 'undefined';
var client;
export function registerClientForLocalMutations(fetchClient) {
  if (IS_SERVER) {
    throw new Error('Fetch client was registered on server for local mutations. This leads to incosistency, thus is not allowed');
  }

  client = fetchClient;
}
export function mutate(fetchId, overrideOrUpdateValue) {
  if (!client) {
    throw new Error('Fetch client was not registered for local mutations');
  }

  client.set(fetchId, typeof overrideOrUpdateValue === 'function' ? overrideOrUpdateValue : function (prevValue) {
    return _extends({}, prevValue, {}, overrideOrUpdateValue);
  });
}