import { useContext } from 'react';
import { FetchContext } from './context';
export function useFetchClient() {
  var client = useContext(FetchContext);

  if (!client) {
    throw new Error('Unable to find fetch client on context. Wrap the app with <FetchProvider/>');
  }

  return client;
}