"use strict";

exports.__esModule = true;
exports.FetchProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _context = require("./context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var FetchProvider = function FetchProvider(_ref) {
  var client = _ref.client,
      children = _ref.children;
  return _react["default"].createElement(_context.FetchContext.Provider, {
    value: client
  }, children);
};

exports.FetchProvider = FetchProvider;