"use strict";

exports.__esModule = true;
exports.getDataFromTree = getDataFromTree;

var _server = require("react-dom/server");

function getDataFromTree(client, tree, renderFunction) {
  if (renderFunction === void 0) {
    renderFunction = _server.renderToString;
  }

  renderFunction(tree);
  return client.waitForFetchs().then(function () {
    return client.cache.getState();
  });
}