import { FetchDispatcherResult, DefaultFetchDispatcherResult } from './client';
export interface MutateCachedValueFn<TDispatcherResult extends FetchDispatcherResult<any, any>> {
    (newValue: Partial<TDispatcherResult>): void;
}
export declare function useBaseFetchCache<TDispatcherResult extends FetchDispatcherResult<any, any>>(fetchId: string): [TDispatcherResult | undefined, MutateCachedValueFn<TDispatcherResult>];
export interface UseFetchCache {
    <TData>(fetchId: string): [DefaultFetchDispatcherResult<TData> | undefined, MutateCachedValueFn<DefaultFetchDispatcherResult<TData>>];
}
export declare const useFetchCache: UseFetchCache;
